Quantcast

2.2.0

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

2.2.0

ravas
Administrator
This post was updated on .
My thought is to not remove unused files until the master branch becomes 2.2.0-alpha.
Then with 2.2.0 we can really focus on cleaning the repository.

I also want to immediately drop Qt4 support and switch to C++14.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

Rockselk
Hi

I have a old PC with Windows XP installed for old games and programs that not run perfectly on Windows 7.

LibreCAD will remain compatible with Windows XP??

Salutes.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

ravas
Administrator
Yes, Windows installers are built with Qt 5.4 I think.
You can check Help -> About
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

Rockselk
Ok

Thanks :)
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

ravas
Administrator
In reply to this post by ravas
The master branch now requires Qt 5.2.1 or newer;
however, I think it's prudent to wait for the switch to C++14,
because (from what I've read) some compilers don't fully support C++14 yet.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

R. van Twisk
Administrator
if we don't require c++14, i would suggest to stay at c++11
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 2.2.0

ravas
Administrator
I'm probably going to release 2.2.0 next month,
after I have completed my work on the command line,
and Equoda has finished his work on copied objects.

https://github.com/LibreCAD/LibreCAD/milestones/2.2.0
Loading...